using System;
using System.Globalization;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class GuidToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (value != null) && ((Guid)value != Guid.Empty);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}